package cn.com.qmth.examcloud.exchange.inner.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.aliyuncs.dysmsapi.model.v20170525.SendSmsResponse;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.exchange.inner.api.SendSmsCloudService;
import cn.com.qmth.examcloud.exchange.inner.api.request.SendSmsReq;
import cn.com.qmth.examcloud.exchange.inner.api.response.SendSmsResp;
import cn.com.qmth.examcloud.exchange.inner.service.SendSmsService;
import cn.com.qmth.examcloud.exchange.inner.service.bean.SendSmsInfo;

/**
 * 
 * @author chenken
 * @date 2018年7月3日 下午4:03:59
 * @company QMTH
 * @description SendSmsProvider.java
 */
@Controller
@RequestMapping("${$rmp.cloud.exchange.inner}" + "sendSms")
public class SendSmsProvider extends ControllerSupport implements SendSmsCloudService {

	private static final long serialVersionUID = -1497756895732370672L;
	
	@Autowired
	private SendSmsService sendSmsService;

	@Override
	@RequestMapping(method = RequestMethod.POST, value = "/sendIdentifyingCode")
	public SendSmsResp sendIdentifyingCode(SendSmsReq sendSmsReq){
		SendSmsInfo sendSmsInfo = new SendSmsInfo();
		sendSmsInfo.setPhone(sendSmsReq.getPhone());
		sendSmsInfo.setMessage(sendSmsReq.getMessage());
		sendSmsInfo.setSign(sendSmsReq.getSign());
		sendSmsInfo.setTemplateCode(sendSmsReq.getTemplateCode());
		try {
			SendSmsResponse sendSmsResponse = sendSmsService.sendIdentifyingCode(sendSmsInfo);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}

}
