package cn.com.qmth.examcloud.exchange.inner.service;

import cn.com.qmth.examcloud.exchange.inner.service.bean.SendSmsInfo;

import com.aliyuncs.dysmsapi.model.v20170525.QuerySendDetailsResponse;
import com.aliyuncs.dysmsapi.model.v20170525.SendSmsResponse;

public interface SendSmsService {

	/**
	 * 发送验证码
	 * @param phone	手机号码
	 * @param sign	签名
	 * @param templateCode	模板code		eg:SMS_138073780
	 * @param message		短信内容
	 * @return
	 * @throws Exception
	 */
	public SendSmsResponse sendIdentifyingCode(SendSmsInfo sendSmsInfo) throws Exception;
	
	/**
	 * 查询短信发送详情
	 * @param bizId
	 * @return
	 * @throws Exception
	 */
	public QuerySendDetailsResponse querySendDetails(String bizId,String phone) throws Exception;
	
}
